<%@ page import="com.ether.WebHelper" %>

<script type="text/javascript">
    var InterfaceTemplate = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerTitle = $( "#title" );
            this.containerTools = $( "#tools" );
            this.containerLogin = $( "#loginModule" );
            this.containerMenu = $( "#menuBO" );

            /** *********** VARIABLES *********** **/
            this.webmaster = <%=WebHelper.getProperty(request, "mail.webmaster")%>;
            this.jSONUser = <%=WebHelper.getJSONUser( request )%> ? <%=WebHelper.getJSONUser( request )%> : false;

            /** ************ CREATE ************ **/
            this.createTitleTools();
            this.createMenu();
        },

        // CREATES ********************************************************
        createTitleTools: function()
        {
            this.containerTitle.addClass( "containerTitle" );
            this.containerTitle.html( templateTexts["bo.fulltitle"] );

            this.createLogin();

            var interfaceButton = new Button( {value:templateTexts["bo.site"], parent:this.containerTools, id:"button_interface", className: "gray_button", classNameText:"blue_button_text", onClick:this.onClickMegapoli} );
            var homeButton = new Button( {value:templateTexts["app.home"], parent:this.containerTools, id:"button_home", className: "gray_button", classNameText:"blue_button_text", onClick:this.onClickHome} );
        },

        createLogin: function()
        {
            var buttonLogin = new LoginButton( { parent:this.containerLogin, urlLogin:"project?methodName=login", urlLogout:"project?methodName=logout", classNameToAdd:"gray", webmaster: this.webmaster } );
            buttonLogin.setJSONUser( this.jSONUser );
            buttonLogin.display();
        },

        createMenu: function()
        {
            var usersButton = new Button( {value:templateTexts["bo.user"], parent:this.containerMenu, id:"button_home", className: "gray_button", classNameText:"blue_button_text", onClick:this.onClickUser} );
        },

        // EVENTS ********************************************************
        onClickHome: function()
        {
            document.location.href = "backoffice?methodName=home";
        },

        onClickMegapoli: function()
        {
            document.location.href = "index.jsp";
        },

        onClickUser: function()
        {
            document.location.href = "backoffice?methodName=viewUser";
        }

    } );

</script>